export class QuestionResultLoader extends Component<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    state: {
        results: null;
        loading: boolean;
        error: null;
    };
    UNSAFE_componentWillMount: () => void;
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    _loadResult(question: any, onLoad: any, keepPreviousWhileLoading: any): Promise<void>;
    _cancelDeferred: import("../lib/promise").Deferred<any> | undefined;
    _reload: () => void;
    _cancel: () => void;
    render(): any;
}
export namespace QuestionResultLoader {
    export namespace defaultProps {
        let keepPreviousWhileLoading: boolean;
    }
    export { propTypes };
}
export default QuestionResultLoader;
import { Component } from "react";
declare namespace propTypes {
    export let question: PropTypes.Requireable<object>;
    export let children: PropTypes.Requireable<(...args: any[]) => any>;
    export let onLoad: PropTypes.Requireable<(...args: any[]) => any>;
    let keepPreviousWhileLoading_1: PropTypes.Requireable<boolean>;
    export { keepPreviousWhileLoading_1 as keepPreviousWhileLoading };
}
import PropTypes from "prop-types";
